h1 {
    font-size: 20px;
}

.title-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.bk-help-icon {
    font-size: 2rem;
    color: #00a2e2;
    text-decoration: none;
    cursor: pointer;
}

table.datagrid {
    width: 100%;
    border-collapse: collapse;
}

div > table.datagrid {
    margin-top: 10px;
    border: 1px solid #999999;
}

table.datagrid th {
    background-color: #cccccc;
    padding: 3px 3px 3px 6px;
}

div > table.datagrid > tbody > tr {
    border: 1px solid #999;
}

table.datagrid td {
    text-align: center;
    border-right: 1px solid #999;
}

    table.datagrid td.has-table {
        padding: 0;
    }

    table.datagrid th:first-child, table.datagrid td:first-child {
        text-align: left;
    }

    table.datagrid td:first-child {
        padding: 6px;
        vertical-align: top;
    }

table.inner {
    width: 100%;
}

    table.inner tr:not(:first-child) {
        border-top: 1px solid #999;
    }

    table.inner td:last-child {
        border-right: none;
    }

.school-title {
    font-size: 17px;
}

.bcDateEdit {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
    flex-wrap: wrap;
}

    .bcDateEdit .bcDateEdit-inner {
        display: flex;
        margin-bottom: 10px;
    }

.changes-content {
    margin: 0 1%;
}

/* Úprava hover efektu */
table.datagrid > tbody > tr:hover {
    background-color: unset;
}

    table.datagrid > tbody > tr:hover > td,
    table.datagrid > tbody > tr:hover > td span {
        color: #4F4F4F !important;
    }

/* Stylování časového rastru */
.raster-wrapper .raster-item {
    position: absolute;
    height: 100%;
}

    .raster-wrapper .raster-item:nth-child(2n) {
        background-color: rgba(241, 243, 244, 0.4);
    }

    .raster-wrapper .raster-item.fullHour {
        border-right: 0.0625rem dashed #9aabb1;
    }

    .raster-wrapper .raster-item .raster-time {
        position: absolute;
        top: -16px;
        left: -2px;
        font-size: 12px;
        text-align: center;
    }

    .raster-wrapper .raster-item:not(.fullHour) > .raster-time {
        display: none;
    }

.absentClasses-flexi .classes-name {
    width: 20%;
    padding: 0 !important;
}

    .absentClasses-flexi .classes-name > div {
        min-height: 40px;
        padding: 5px;
        box-sizing: border-box;
    }
    
    .absentClasses-flexi .classes-name > div:not(:last-child) {
        border-bottom: 1px solid #999;
    }

.absentClasses-flexi .classes-hours {
    position: relative;
    padding: 0 !important;
}

    .absentClasses-flexi .classes-hours .hours-wrapper {
        display: flex;
        min-height: 40px;
        align-items: center;
    }

        .absentClasses-flexi .classes-hours .hours-wrapper > div {
            background: #fff;
            border: 1px solid #D7DDE0;
            border-radius: 4px;
            height: 24px;
            z-index: 2;
            display: grid;
            place-items: center;
            position: absolute;
        }
